
set echo on

SELECT d.dname, d.loc, e.ename, e.job
FROM   dept d
       INNER JOIN
       emp e
USING (deptno);

SELECT COUNT(d.deptno)
FROM   dept d
       INNER JOIN
       emp e
USING (deptno);

SELECT COUNT(deptno)
FROM   dept d
       INNER JOIN
       emp e
USING (deptno);

SELECT d.dname, d.loc, e.ename, e.job
FROM   dept d
       INNER JOIN
       emp e
ON    (d.deptno = e.deptno);

SELECT d.dname, d.loc, e.ename, e.job
FROM   dept d
,      emp e
WHERE  d.deptno = e.deptno;

SELECT d.dname, d.loc, e.ename, e.job
FROM   dept d
       INNER JOIN
       emp e
ON    (d.deptno = e.deptno)
WHERE  d.loc = 'DALLAS';

SELECT d.dname, d.loc, e.ename, e.job
FROM   dept d
,      emp e
WHERE  d.deptno = e.deptno
AND    d.loc = 'DALLAS';

