
set echo on lines 130
col plan_plus_exp format a99

set autotrace traceonly explain

SELECT *
FROM   d1
       --
       INNER JOIN
       d2
       USING (deptno)
       --
       LEFT OUTER JOIN
       d3
       USING (deptno);

SELECT *
FROM   d1
,      d2
,      d3
WHERE  d1.deptno = d2.deptno
AND    d2.deptno = d3.deptno (+);

SELECT /*+ LEADING(d1) */
       *
FROM   d1
       --
       INNER JOIN
       d2
       USING (deptno)
       --
       LEFT OUTER JOIN
       d3
       USING (deptno);

set autotrace off
