
set echo on lines 150
col plan_plus_exp format a99

CREATE TABLE e1 AS SELECT * FROM emp WHERE deptno IN (10,20);

CREATE TABLE e2 AS SELECT * FROM emp WHERE deptno IN (20,30);

exec DBMS_STATS.GATHER_TABLE_STATS(USER,'E1');
exec DBMS_STATS.GATHER_TABLE_STATS(USER,'E2');

ALTER SESSION SET SQL_TRACE = TRUE;

SELECT e1.ename, e1.deptno, e1.job
,      e2.ename, e2.deptno, e2.job
FROM   e1
       FULL OUTER JOIN
       e2
USING (empno);

SELECT e1.ename, e1.deptno, e1.job
,      e2.ename, e2.deptno, e2.job
FROM   e1
,      e2
WHERE  e1.empno (+) = e2.empno
UNION
SELECT e1.ename, e1.deptno, e1.job
,      e2.ename, e2.deptno, e2.job
FROM   e1
,      e2
WHERE  e1.empno = e2.empno (+);

ALTER SESSION SET SQL_TRACE = FALSE;
